<?php

namespace Drupal\xtcelastica\Plugin\XtcHandler;


use Drupal\Component\Serialization\Json;

/**
 * Plugin implementation of the xtc_handler.
 *
 * @XtcHandler(
 *   id = "elasticsearch_index",
 *   label = @Translation("Elasticsearch Index for XTC"),
 *   description = @Translation("Elasticsearch Index for XTC description.")
 * )
 */
class ElasticSearchIndex extends ElasticSearchBase {

  protected $response;

  public function process() {
    $this->initProcess();
    $this->adaptContent();
    $this->runProcess();
    return $this;
  }

  protected function runProcess() {
    $this->content = $this->client->index($this->params);
  }

  protected function adaptContent() {
    parent::adaptContent();
    $this->params['body'] = $this->content;
  }
  public function getResponse(){
    return $this->response ?? [];
  }

}
